Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Class FontFactory

    java.lang.Object
      com.lowagie.text.FontFactory

    public class FontFactory

extends Object

If you are using True Type fonts, you can declare the paths of the different ttf- and ttc-files to this static class first and then create fonts in your code using one of the static getFont-method without having to enter a path as parameter.

Author:
  Bruno Lowagie

Field Summary
`static String` | `COURIER` This is a possible value of a base 14 type 1 font
`static String` | `COURIER_BOLD` This is a possible value of a base 14 type 1 font
`static String` | `COURIER_BOLDOBLIQUE` This is a possible value of a base 14 type 1 font
`static String` | `COURIER_OBLIQUE` This is a possible value of a base 14 type 1 font
`static boolean` | `defaultEmbedding` This is the default value of the embedded variable.
`static String` | `defaultEncoding` This is the default encoding to use.
`private static FontFactoryImp` | `fontImp`
`static String` | `HELVETICA` This is a possible value of a base 14 type 1 font
`static String` | `HELVETICA_BOLD` This is a possible value of a base 14 type 1 font
`static String` | `HELVETICA_BOLDOBLIQUE` This is a possible value of a base 14 type 1 font
`static String` | `HELVETICA_OBLIQUE` This is a possible value of a base 14 type 1 font
`static String` | `SYMBOL` This is a possible value of a base 14 type 1 font
`static String` | `TIMES` This is a possible value of a base 14 type 1 font
`static String` | `TIMES_BOLD` This is a possible value of a base 14 type 1 font
`static String` | `TIMES_BOLDITALIC` This is a possible value of a base 14 type 1 font
`static String` | `TIMES_ITALIC` This is a possible value of a base 14 type 1 font
`static String` | `TIMES_ROMAN` This is a possible value of a base 14 type 1 font
`static String` | `ZAPFDINGBATS` This is a possible value of a base 14 type 1 font

Constructor Summary
`private` | `FontFactory()` Creates new FontFactory

Method Summary
`static boolean` | `contains(String fontname)` Gets a set of registered fontnames.
`static Font` | `getFont(Properties attributes)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, float size)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, float size, int style)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, float size, int style, Color color)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, String encoding)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, String encoding, boolean embedded)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, String encoding, boolean embedded, float size)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, String encoding, boolean embedded, float size, int style)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, String encoding, boolean embedded, float size, int style, Color color)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, String encoding, boolean embedded, float size, int style, Color color, boolean cached)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, String encoding, float size)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, String encoding, float size, int style)` Constructs a `Font`-object.
`static Font` | `getFont(String fontname, String encoding, float size, int style, Color color)` Constructs a `Font`-object.
`static FontFactoryImp` | `getFontImp()` Gets the font factory implementation.
`static Set` | `getRegisteredFamilies()` Gets a set of registered fontnames.
`static Set` | `getRegisteredFonts()` Gets a set of registered fontnames.
`static boolean` | `isRegistered(String fontname)` Checks if a certain font is registered.
`static void` | `register(String path)` Register a ttf- or a ttc-file.
`static void` | `register(String path, String alias)` Register a font file and use an alias for the font contained in it.
`static int` | `registerDirectories()` Register fonts in some probable directories.
`static int` | `registerDirectory(String dir)` Register all the fonts in a directory.
`void` | `registerFamily(String familyName, String fullName, String path)` Register a font by giving explicitly the font family and name.
`static void` | `setFontImp(FontFactoryImp fontImp)` Sets the font factory implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COURIER

    public static final String COURIER

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### COURIER_BOLD

    public static final String COURIER_BOLD

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### COURIER_OBLIQUE

    public static final String COURIER_OBLIQUE

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### COURIER_BOLDOBLIQUE

    public static final String COURIER_BOLDOBLIQUE

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### HELVETICA

    public static final String HELVETICA

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### HELVETICA_BOLD

    public static final String HELVETICA_BOLD

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### HELVETICA_OBLIQUE

    public static final String HELVETICA_OBLIQUE

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### HELVETICA_BOLDOBLIQUE

    public static final String HELVETICA_BOLDOBLIQUE

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### SYMBOL

    public static final String SYMBOL

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### TIMES

    public static final String TIMES

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### TIMES_ROMAN

    public static final String TIMES_ROMAN

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### TIMES_BOLD

    public static final String TIMES_BOLD

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### TIMES_ITALIC

    public static final String TIMES_ITALIC

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### TIMES_BOLDITALIC

    public static final String TIMES_BOLDITALIC

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### ZAPFDINGBATS

    public static final String ZAPFDINGBATS

  This is a possible value of a base 14 type 1 font

  See Also:
    Constant Field Values

### fontImp

    private static FontFactoryImp fontImp

### defaultEncoding

    public static String defaultEncoding

  This is the default encoding to use.

### defaultEmbedding

    public static boolean defaultEmbedding

  This is the default value of the embedded variable.

Constructor Detail

### FontFactory

    private FontFactory()

  Creates new FontFactory

Method Detail

### getFont

    public static Font getFont(String fontname,
                               String encoding,
                               boolean embedded,
                               float size,
                               int style,
                               Color color)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `encoding` - the encoding of the font
    `embedded` - true if the font is to be embedded in the PDF
    `size` - the size of this font
    `style` - the style of this font
    `color` - the `Color` of this font.
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname,
                               String encoding,
                               boolean embedded,
                               float size,
                               int style,
                               Color color,
                               boolean cached)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `encoding` - the encoding of the font
    `embedded` - true if the font is to be embedded in the PDF
    `size` - the size of this font
    `style` - the style of this font
    `color` - the `Color` of this font.
    `cached` - true if the font comes from the cache or is added to the cache if new, false if the font is always created new
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(Properties attributes)

  Constructs a `Font`-object.

  Parameters:
    `attributes` - the attributes of a `Font` object.
  Returns:
    the Font constructed based on the attributes

### getFont

    public static Font getFont(String fontname,
                               String encoding,
                               boolean embedded,
                               float size,
                               int style)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `encoding` - the encoding of the font
    `embedded` - true if the font is to be embedded in the PDF
    `size` - the size of this font
    `style` - the style of this font
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname,
                               String encoding,
                               boolean embedded,
                               float size)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `encoding` - the encoding of the font
    `embedded` - true if the font is to be embedded in the PDF
    `size` - the size of this font
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname,
                               String encoding,
                               boolean embedded)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `encoding` - the encoding of the font
    `embedded` - true if the font is to be embedded in the PDF
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname,
                               String encoding,
                               float size,
                               int style,
                               Color color)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `encoding` - the encoding of the font
    `size` - the size of this font
    `style` - the style of this font
    `color` - the `Color` of this font.
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname,
                               String encoding,
                               float size,
                               int style)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `encoding` - the encoding of the font
    `size` - the size of this font
    `style` - the style of this font
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname,
                               String encoding,
                               float size)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `encoding` - the encoding of the font
    `size` - the size of this font
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname,
                               String encoding)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `encoding` - the encoding of the font
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname,
                               float size,
                               int style,
                               Color color)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `size` - the size of this font
    `style` - the style of this font
    `color` - the `Color` of this font.
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname,
                               float size,
                               int style)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `size` - the size of this font
    `style` - the style of this font
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname,
                               float size)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `size` - the size of this font
  Returns:
    the Font constructed based on the parameters

### getFont

    public static Font getFont(String fontname)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
  Returns:
    the Font constructed based on the parameters

### registerFamily

    public void registerFamily(String familyName,
                               String fullName,
                               String path)

  Register a font by giving explicitly the font family and name.

  Parameters:
    `familyName` - the font family
    `fullName` - the font name
    `path` - the font path

### register

    public static void register(String path)

  Register a ttf- or a ttc-file.

  Parameters:
    `path` - the path to a ttf- or ttc-file

### register

    public static void register(String path,
                                String alias)

  Register a font file and use an alias for the font contained in it.

  Parameters:
    `path` - the path to a font file
    `alias` - the alias you want to use for the font

### registerDirectory

    public static int registerDirectory(String dir)

  Register all the fonts in a directory.

  Parameters:
    `dir` - the directory
  Returns:
    the number of fonts registered

### registerDirectories

    public static int registerDirectories()

  Register fonts in some probable directories. It usually works in Windows, Linux and Solaris.

  Returns:
    the number of fonts registered

### getRegisteredFonts

    public static Set getRegisteredFonts()

  Gets a set of registered fontnames.

  Returns:
    a set of registered fonts

### getRegisteredFamilies

    public static Set getRegisteredFamilies()

  Gets a set of registered fontnames.

  Returns:
    a set of registered font families

### contains

    public static boolean contains(String fontname)

  Gets a set of registered fontnames.

  Parameters:
    `fontname` - of a font that may or may not be registered
  Returns:
    true if a given font is registered

### isRegistered

    public static boolean isRegistered(String fontname)

  Checks if a certain font is registered.

  Parameters:
    `fontname` - the name of the font that has to be checked.
  Returns:
    true if the font is found

### getFontImp

    public static FontFactoryImp getFontImp()

  Gets the font factory implementation.

  Returns:
    the font factory implementation

### setFontImp

    public static void setFontImp(FontFactoryImp fontImp)

  Sets the font factory implementation.

  Parameters:
    `fontImp` - the font factory implementation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD